受注グループタグ登録
POST
/order_group_tags
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/order_group_tags';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"重要"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/order_group_tags \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "重要" }'受注グループタグを登録します。
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
OrderGroupTagRequest
object
name
タグ名
string
Examples
Exampledefault
{ "name": "重要"}Responses
Section titled “Responses”登録成功
Media typeapplication/json
OrderGroupTagResponse
object
id
受注グループタグID
string format: uuid
name
タグ名
string
Examples
Exampledefault
{ "id": "12345678-1234-1234-1234-1234567890ab", "name": "重要"}- 入力チェックエラーの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[name]は必須です。", "status": 400}